--TEST--
archive_file_open_data_full() function
--SKIPIF--
<?php 

if(!extension_loaded('textconv')) die('skip ');

 ?>
--FILE--
<?php
$data = file_get_contents("file.zip");
$archivefile = archive_file_open_data_full($data, strlen($data), "application/zip", $error);
var_dump($archivefile);
var_dump($error);
archive_file_close($archivefile);
archive_file_open_data_full($data, strlen($data), "application/pdf", $error);
var_dump($error);

?>
--EXPECTF--
resource(%d) of type (archivefile)
int(0)
set_support_format: unknown mime type: application/pdf

Warning: archive_file_open_data_full(): archive_file_open_data_full: returned NULL in %s
int(-3)
